OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_Texture2Transform Class Reference

defines a Texture2Transform node of VRML specifying properties of geometry
and its appearance.
This node defines a 2D transformation applied to texture coordinates.
This affect the way textures are applied to the surfaces of subsequent
shapes.
Transformation consisits of(in order) a non-uniform scale about an
arbitrary center point, a rotation about that same point, and
a translation. This allows a user to change the size and position of
the textures on the shape.
By default :
myTranslation (0 0)
myRotation (0)
myScaleFactor (1 1)
myCenter (0 0)

`#include <Vrml_Texture2Transform.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Texture2Transform ()
Standard_EXPORT | Vrml_Texture2Transform (const gp_Vec2d &aTranslation, const Standard_Real aRotation, const gp_Vec2d &aScaleFactor, const gp_Vec2d &aCenter)
Standard_EXPORT void | SetTranslation (const gp_Vec2d &aTranslation)
Standard_EXPORT gp_Vec2d | Translation () const
Standard_EXPORT void | SetRotation (const Standard_Real aRotation)
Standard_EXPORT Standard_Real | Rotation () const
Standard_EXPORT void | SetScaleFactor (const gp_Vec2d &aScaleFactor)
Standard_EXPORT gp_Vec2d | ScaleFactor () const
Standard_EXPORT void | SetCenter (const gp_Vec2d &aCenter)
Standard_EXPORT gp_Vec2d | Center () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
## Private Attributes
gp_Vec2d | myTranslation
Standard_Real | myRotation
gp_Vec2d | myScaleFactor
gp_Vec2d | myCenter

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Texture2Transform::Vrml_Texture2Transform | ( |  | ) |

Standard_EXPORT Vrml_Texture2Transform::Vrml_Texture2Transform | ( | const gp_Vec2d & | aTranslation,
|  | const Standard_Real | aRotation,
|  | const gp_Vec2d & | aScaleFactor,
|  | const gp_Vec2d & | aCenter
| ) |

## Member Function Documentation

Standard_EXPORT gp_Vec2d Vrml_Texture2Transform::Center | ( |  | ) | const

void Vrml_Texture2Transform::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Texture2Transform::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Texture2Transform::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Texture2Transform::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT Standard_Real Vrml_Texture2Transform::Rotation | ( |  | ) | const

Standard_EXPORT gp_Vec2d Vrml_Texture2Transform::ScaleFactor | ( |  | ) | const

Standard_EXPORT void Vrml_Texture2Transform::SetCenter | ( | const gp_Vec2d & | aCenter | ) |

Standard_EXPORT void Vrml_Texture2Transform::SetRotation | ( | const Standard_Real | aRotation | ) |

Standard_EXPORT void Vrml_Texture2Transform::SetScaleFactor | ( | const gp_Vec2d & | aScaleFactor | ) |

Standard_EXPORT void Vrml_Texture2Transform::SetTranslation | ( | const gp_Vec2d & | aTranslation | ) |

Standard_EXPORT gp_Vec2d Vrml_Texture2Transform::Translation | ( |  | ) | const

## Field Documentation

gp_Vec2d Vrml_Texture2Transform::myCenter`[private]`

Standard_Real Vrml_Texture2Transform::myRotation`[private]`

gp_Vec2d Vrml_Texture2Transform::myScaleFactor`[private]`

gp_Vec2d Vrml_Texture2Transform::myTranslation`[private]`

The documentation for this class was generated from the following file:

- Vrml_Texture2Transform.hxx